---

- name: Prepare
  ansible.builtin.include_tasks: prepare.yml

- name: Check reissue conditions
  ansible.builtin.fail:
    msg: "Impossible to reissue non-existing certificate"
  when: not is_cert_created|bool and cert_issuer_reissue|bool

- when: is_cert_created|bool
  block:
    - name: Get certificate
      ansible.builtin.include_tasks: get.yml
      when: not cert_issuer_reissue|bool

    - name: Reissue certificate
      ansible.builtin.include_tasks: reissue.yml
      when: cert_issuer_reissue|bool

- name: Create certificate
  ansible.builtin.include_tasks: create.yml
  when: not is_cert_created|bool

- name: Check return args
  ansible.builtin.assert:
    that:
      - (certificate_issuer_ca_certificate is defined) and (certificate_issuer_ca_certificate|length > 0)
      - (certificate_issuer_certificate is defined) and ( certificate_issuer_certificate|length > 0)
      - (certificate_issuer_certificate_private_key is defined) and ( certificate_issuer_certificate_private_key|length > 0)
    msg: "Return args error"
